k = int(input())
a = list(map(int, input().split()))
print(sorted(a)[-k])

'''
8.5 .sort() и sorted()
    В python нет как такового разбиения на процедуры и функции
    То, что мы называем процедурами, - на самом деле функции без оператора возвращаемого значения return
    Такие функции возвращают None - по сути, ничего
    Метод массивов sort() изменяет объект, от которого вызывается, но ничего не возвращает - это "процедура"
    Функция sorted() принимает массив как параметр и возвращает новый массив, являющийся отсортированной копией старого
    При этом изначальный объект не изменяется
'''

# Эта задача решалась двумя действиями:
#   - любым способом можно было отсортировать массив
#   - и взять k-й по убыванию элемент
# В данном решении мы сортируем его по возрастанию и берем k-й элемент с конца
