s = input()

if s.find('bb') != -1:
    print('NO')
    exit()
'''
16. Завершение программы
    Программа завершается после выполнения последней строчки
    В проверяющей системе ее работа может быть остановлена из-за слишком долгого времени действия\бездействия и т.д.
    Функция exit() завершает работу программы после своего исполнения, иногда это заметно упрощает код
'''
for i in range(len(s)):
    for j in range(i + 2, len(s), 3):
        d = (j - i + 1) // 3
        if s[i:i + d] == s[i + d:i + 2 * d] == s[i + 2 * d:i + 3 * d]:
            '''
            9.5. Короткие логические действия
                В python можно объединять бинарные логические операторы для большего удобства
                Такое выражение будет истинно, если будет истинно каждое из бинарных выражений, из которых оно состоит
                Например, 
                    a < b == c > d
                верно тогда и только тогда, когда a < b, b == c, и c > d
            '''
            print('NO')
            exit()

print('YES')

# В этой задаче надо было проверить наличие в слове определенных закономерностей
# Наиболее простой способ это сделать - отдельно проверить наличие подстроки 'bb' и отдельно
#  - трех одинаковых подстрок подряд

# Первое можно сделать, используя метод find(), который возвращает индекс первого вхождения подстроки в строку
# и -1, если такого вхождения нет

# Второе проще всего реализовать, перебрав все возможные начала этой утроенной строки (счетчик i), а для каждого
# начала перебрав конец этой утроенной строки, на расстоянии, кратном 3 от i (счетчик j)
# Посчтаем d - треть расстояния между i и j, надо только проверить, верно ли, что для каких-то i и j три части
# длины d с началом в i, i + d и i + 2d, совпадают
# Это можно сделать, сравнив три соответствующих среза, если хоть для каких-то i и j слово оказалось неподходящим,
# выводим 'NO' и завершаем программу. Иначе, в конце выводим 'YES'

'''
БОЛЬШАЯ МОРАЛЬ

Питон умеет много вещей, которые не придется реализовывать самому. Например, зная о методах find() для строк и sort()
для массивов, можно было заметно повысить свои шансы на решение некоторых из этих задач, если вы их не решили.

Так что если вдруг кажется, что в питоне должна быть какая-то функция, которая делает то, что вам нужно, скорее всего,
она действительно есть. Подойдите и спросите, препы наверняка смогут с этим помочь :)
'''
